Subject: bug#55800: using rgrep function interactively with fido-mode or fido-vertical-mode causes errors

From: Juri Linkov <[email-masked]>
Date: Wed, 08 Jun 2022 10:19:25 +0300

>> The completion shows file names because the code calls
>> read-file-name-internal.  Try the same without fido, and at the prompt
>> for the wildcard type '?' -- you will see a list of files.  That's
>> what fido shows.
>>
>> Why that code calls read-file-name-internal, I don't know; perhaps
>> because it wants to support the use case of searching a single file or
>> files in a directory?
>
> I think that is done in the completion option after that where one selects
> the file name or a directory based on ones' needs. This option as
> I mentioned before  it was supposed to be for file types. If there is no builtin
> list for file types(extensions) it might be sufficient to leave it alone
> or have it call a list which contains "*" only. I have checked the completion
> options for counsel-rg counsel-ag, consult-rg and they do it do it that way

Did you know that you can use M-j to accept the default value "all"
instead of the highlighted candidate in fido-mode?